Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fujitsu.iflow.model.util
Class WFAppPackager

    java.lang.Object
      com.fujitsu.iflow.model.util.WFAppPackager

public class WFAppPackager
extends java.lang.Object

WFAppPackager handles the workflow application packaging process. It will be used for creating a workflow package (e.g. a jar-file) out of one or more process definitions. It first invokes model API to package server side components into a JAR file, and downloads the JAR file from server via DMS. It then adds client side components and process definitions into the JAR file. Finally it saves the manifest file into the JAR file which becomes the workflow package.

Constructor Summary
`WFAppPackager()`

Method Summary
`ArchiveStrategy` | `getArchiveStrategy()`
`WFAppManifest` | `getManifest(WFSession session, long[] planIDs)` Asks the server to return a manifest that list out all the files that are automatically detected based on the process definition information.
`java.lang.String` | `packageWFApp(WFSession session, DMS dms, java.lang.String packagePath, WFAppManifest manifest)` Uses the workflow session to package the specified workflow application into a jar file.
`void` | `setArchiveStrategy(ArchiveStrategy archiveStrategy)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WFAppPackager

    public WFAppPackager()

Method Detail

### getArchiveStrategy

    public ArchiveStrategy getArchiveStrategy()

### setArchiveStrategy

    public void setArchiveStrategy(ArchiveStrategy archiveStrategy)

### packageWFApp

    public java.lang.String packageWFApp(WFSession session,
                                         DMS dms,
                                         java.lang.String packagePath,
                                         WFAppManifest manifest)
                                  throws ModelException

  Uses the workflow session to package the specified workflow application into a jar file. Then it downloads the jar file from the DMS repository. Finally it adds client files into the jar file.

  Parameters:
    `session` - The Workflow session.
    `dms` - The DMS Repository.
    `packagePath` - The path of the application package file.
    `manifest` - The workflow application package manifest.
  Returns:
    A string that represents the path of the generated workflow application package.
  Throws:
    `ModelException` - This exception returns the packaging errors.

### getManifest

    public WFAppManifest getManifest(WFSession session,
                                     long[] planIDs)
                              throws ModelException

  Asks the server to return a manifest that list out all the files that are automatically detected based on the process definition information.

  Parameters:
    `session` - The workflow session.
    `planIDs` - An array containing the IDs of the main process definitions.
  Returns:
    The package manifest.
  Throws:
    `ModelException` - This exception returns the packaging errors.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD